﻿using System.Windows;
using System.Windows.Ink;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.copyAndRotateStrokeButton.Click += copyAndRotateStrokeButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 스트로크 회전 및 복사하기 버튼 클릭시 처리하기 - copyAndRotateStrokeButton_Click(sender, e)

        /// <summary>
        /// 스트로크 회전 및 복사하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void copyAndRotateStrokeButton_Click(object sender, RoutedEventArgs e)
        {
            StrokeCollection strokeCollection = this.sourceInkCanvas.Strokes.Clone();

            Matrix matrix = new Matrix();

            Point centerPoint = new Point(this.targetBorder.ActualWidth / 2, targetBorder.ActualHeight / 2);

            matrix.RotateAt(90, centerPoint.X, centerPoint.Y);

            strokeCollection.Transform(matrix, false);

            this.targetInkPresenter.Strokes = strokeCollection;
        }

        #endregion
    }
}